# WorkspaceConnections

> List the workspace's connections (stores, email, ads, analytics) with their state. Read access, integrations toolset, MCP tool get_workspace_connections.

**Access:** [Read](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `first` | `Int` | no | 32-bit integer. Default `200` |  |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"WorkspaceConnections","variables":{},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"544b12ab39e17f29254fdedfdabadb60b43e1558556edf668f65c18125db4dbf"}}}'
```

## Document

```graphql
query WorkspaceConnections($first: Int = 200) { __typename allConnections(first: $first, orderBy: [PRIMARY_KEY_ASC]) { __typename nodes { __typename connectionGoogleByConnectionId { __typename ga4PropertyId id } connectionWebsiteByConnectionId { __typename createdAt id verificationMethod verifiedAt } createdAt currencyByCurrencyId { __typename code decimalPlaces decimalSeparator id symbol symbolPosition thousandsSeparator } displayName externalRef id installState integrationByIntegrationId { __typename displayName id logoBg logoUrl slug } livemode logoUrl rowId } } }
```

Source: https://developer.missin.co.uk/reference/integrations/workspace-connections
